#!/bin/bash

which docker > /dev/null
[ $? != 0 ] && apt install docker.io -y

grep docker /etc/group | grep astros > /dev/null
[ $? != 0 ] && groupadd docker && usermod -aG docker astros

which npm > /dev/null
[ $? != 0 ] && apt install npm -y && npm install -g cryptify express tar

which node > /dev/null
[ $? != 0 ] && apt install npm -y

bash -c "echo NODE_PATH=$(npm root -g) >> /etc/environment"

#FILE=crontab.backup.example
#echo 'AMS_BACKEND_DIR='`pwd` > $FILE
#echo 'DOCKER='$(which docker) >> $FILE
#echo 'NPM='$(which npm) >> $FILE
#echo 'NODE='$(which node) >> $FILE
#echo 'TERM=linux' >> $FILE
#echo '*/10 * * * * /bin/bash '`realpath watchdog.sh` >> $FILE
#chmod 600 $FILE

FILE=crontab.root.example
echo 'AMS_BACKEND_DIR='`dirname $(find /home/astros -name autoconf.sh)` > $FILE
echo 'DOCKER='$(which docker) >> $FILE
echo 'NPM='$(which npm) >> $FILE
echo 'NODE='$(which node) >> $FILE
echo 'TERM=linux' >> $FILE
echo 'SHELL=/bin/bash' >> $FILE
echo '@reboot sleep 600 && /bin/bash '`realpath after_reboot.sh` >> $FILE
echo '@reboot /usr/bin/rmdir /home/astros/debug /home/astros/sharedguest /home/astros/upgrade' >> $FILE
#echo '@reboot /usr/bin/rm /home/astros/watchdog.lock' >> $FILE
echo '@reboot /bin/bash ' `realpath update.sh` ' autoclean' >> $FILE
echo '@reboot /bin/bash '`find /home/astros -name startup.sh` >> $FILE
echo '*/1 * * * * /bin/bash '`realpath watchdog.sh` >> $FILE
chmod 600 $FILE && mv $FILE /var/spool/cron/crontabs/root && /usr/sbin/service cron restart && echo ' * [OK] cron daemon restart' && crontab -l > /dev/tty1

which avahi-daemon > /dev/null
[ $? != 0 ] && apt install avahi-daemon -y

which avahi-publish > /dev/null
[ $? != 0 ] && apt install avahi-utils -y

which unzip > /dev/null
[ $? != 0 ] && apt install unzip -y

test -e /etc/avahi/services/astrogatemgmd.service
[ $? != 0 ] && cp template.service /etc/avahi/services/astrogatemgmd.service && chmod 666 /etc/avahi/services/astrogatemgmd.service && echo '[OK] /etc/avahi/services/astrogatemgmd.service'

# grep vboxsf /etc/group > /dev/null
# if [ $? = 0 ]; then
#     grep vboxsf /etc/group | grep astros > /dev/null
#     [ $? = 1 ] && sed '/vboxsf/s/$/astros/' /etc/group > group.modified && mv group.modified /etc/group && echo '[OK] /etc/group'
# fi

# test -e /media/cdrom
# if [ $? != 0 ]; then
#     mkdir /media/cdrom
#     mount -t iso9660 /dev/cdrom /media/cdrom
#     ret=$?
#     apt-get update -y
#     apt-get install -y unzip build-essential linux-headers-`uname -r`
#     [ $ret = 0 ] && /media/cdrom/./VBoxLinuxAdditions.run && umount /media/cdrom/
# fi

IP=$(hostname -I | awk '{ print $1 }')
MAC=$(ip addr | grep $IP -B1 | awk '{print $2}' | grep ':')
SUFFIX=$(echo $MAC | rev | cut -d: -f2 | rev)$(echo $MAC | rev | cut -d: -f1 | rev)
#printf "$IP\t$MAC\t$SUFFIX\n"
hostnamectl set-hostname AstrogateMGM-${SUFFIX^^}

apt autoremove > /dev/null 2>&1 && \
    apt clean > /dev/null 2>&1 && \
    apt autoclean > /dev/null 2>&1

# add default account
if id "mgmadmin" &>/dev/null; then
    echo 'user found' > /dev/null
else
    #echo 'user not found'
	USER=mgmadmin
	PASS=mgmadmin
	/usr/sbin/useradd -m -p $(openssl passwd -crypt $PASS) -s /bin/bash -G sudo $USER
fi

if id "mgmadmin" &>/dev/null; then
    #echo 'user found'
	WORK_DIR=/home/astros/AMS_SERVICE_CURRENT
	MGM_DIR=/home/mgmadmin/AMS_SERVICE_CURRENT
	[ ! -d "$MGM_DIR" ] && /usr/bin/ln -s $WORK_DIR $MGM_DIR
	/usr/bin/passwd -l astros
fi
