#!/bin/bash

vmVer=1.0.0.8

[ -f /home/astros/AMS_SERVICE_CURRENT/build.major ] && major=$(< /home/astros/AMS_SERVICE_CURRENT/build.major) || major=0
[ -f /home/astros/AMS_SERVICE_CURRENT/build.minor ] && minor=$(< /home/astros/AMS_SERVICE_CURRENT/build.minor) || minor=0
[ -f /home/astros/AMS_SERVICE_CURRENT/build.revision ] && revision=$(< /home/astros/AMS_SERVICE_CURRENT/build.revision) || revision=0
[ -f /home/astros/AMS_SERVICE_CURRENT/build.buildnumber ] && buildnumber=$(< /home/astros/AMS_SERVICE_CURRENT/build.buildnumber) || buildnumber=1
[ -f /home/astros/AMS_SERVICE_CURRENT/host/.storage/service.broadcast.tmp ] && NAME=$(< /home/astros/AMS_SERVICE_CURRENT/host/.storage/service.broadcast.tmp) || NAME=AstrogateMGM
IP=$(hostname -I | awk '{ print $1 }')

/usr/bin/clear > /dev/tty1
/usr/bin/cat /home/astros/AMS_SERVICE_CURRENT/host/astros.logo > /dev/tty1
printf "\n\nASTROS Manager service is ready now, IP address: %s, hostname: %s\n" $IP $(hostname) > /dev/tty1
printf "\nASTROS Manager version: %s.%s.%s.%s, VM version: %s\n\n" $major $minor $revision $buildnumber $vmVer > /dev/tty1
printf "Please visit one of the following websites to manage your ASTROS Stations:\n\t%s\n\t%s\n\n" https://$IP https://$NAME > /dev/tty1
